Retrieve detailed information about a specific loan by ID. Returns loan terms, amounts, dates, and status without exposing sensitive internal data.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/loans/{id}
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/loans/{id}
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/loans/{id}' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": { "id": "string", "loanNumber": "string", "status": "string", "type": "business", "centsAmount": -9007199254740991, "centsMonthlyPayment": -9007199254740991, "monthsTerm": -9007199254740991, "monthsInterestOnly": -9007199254740991, "paymentFrequency": "weekly", "rateType": "fixed", "bpsRate": -9007199254740991, "purpose": "string", "purposeNarrative": "string", "applicationDate": "string", "closeDate": "string", "maturityDate": "string", "firstPaymentDate": "string", "product": { "id": "string", "name": "string" }, "stage": { "id": "string", "name": "string" }, "createdAt": "string", "updatedAt": "string" } }